import request from '@/utils/request'
export const yhxx_js_list = (data = {}) => {
  return request({
    url: '/user/main/index',
    data,
  })
}
export const yhxx_js_add = (data = {}) => {
  return request({
    url: '/user/main/add',
    data,
  })
}
export const yhxx_js_edit = (data = {}) => {
  return request({
    url: '/user/main/edit',
    data,
  })
}
export const yhxx_js_del = (data = {}) => {
  return request({
    url: '/user/main/delete',
    data,
  })
}
export const yhxx_js_detail = (data = {}) => {
  return request({
    url: '/user/main/user_info',
    data,
  })
}

export const school_list = (data = {}) => {
  return request({
    url: '/school/main/index',
    data,
  })
}
export const grade_list = (data = {}) => {
  return request({
    url: '/txwx/jcxxgl_zyflgl_nj/index',
    data,
  })
}
export const class_list = (data = {}) => {
  return request({
    url: '/txwx/jcxxgl_zyflgl_bj/index',
    data,
  })
}
export const subject_list = (data = {}) => {
  return request({
    url: '/txwx/jcxxgl_zyflgl_xk/index',
    data,
  })
}
export const role_list = (data = {}) => {
  return request({
    url: '/txwx/user_role/index',
    data,
  })
}
export const role_add = (data = {}) => {
  return request({
    url: '/txwx/user_role/add',
    data,
  })
}
export const role_edit = (data = {}) => {
  return request({
    url: '/txwx/user_role/edit',
    data,
  })
}
export const role_detail = (data = {}) => {
  return request({
    url: '/txwx/user_role/detail',
    data,
  })
}